<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
$com = "A";
include("DF30000.inc");
include("DF80000.php");
include("DFJSISCI.inc");
require_once("DFJQUERY.inc");

	//
	//echo 'Val: '.$_POST['r5'].'<br>';
	@$result = mysqli_query($con ,"SELECT * FROM dgreqded WHERE fol_ven1 = '".$_GET['clav']."'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		for ($i=0;$i<=19;$i++){
			$datos[]=$dato[$i];
		}
	}
	//echo 'parte: '.$datos[3].'<br>';
	//echo 'alamcen: '.$datos[9].'<br>';
	//exit();
	//buscar la existencia de farticulos
	
	@$result = mysqli_query($con ,"SELECT * FROM farticulos WHERE farticulos.modulo='".$_SESSION['mod_sis']."' AND   nparte1 = '$datos[3]'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato['exi_fis'];
		$ex2=$dato['t5'];
	}
	$ex1 = $ex1 - $datos[4];
	$ex2 = $ex2 - $datos[4];
	
	/******************SE Elimina producto de dpmaterial_con y actualiza dpaltaorden******************/
//	$dt_material_con=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dpmaterial_con where tip_requ='E' and noreg_requ='".$_POST['tnum']."' and cve_mat='$datos[3]'"));
//	$rs=mysqli_query($con ,"update dpaltaorden set total_costo=total_costo+$dt_material_con['total'] where no_reg='".$_POST['s2']."'");	
	$rs=mysqli_query($con ,"DELETE FROM dpmaterial_con where tip_requ='E' and noreg_requ='".$_POST['tnum']."' and cve_mat='$datos[3]'");

	/*************************************************************************/
	
	//hacer la modificacion en farticulos
	//echo $_POST['r5'];
	//echo $ex1;
	//echo $ex2;
	//exit();
	$sql="UPDATE farticulos SET exi_fis = '$ex1', t5 = '$ex1' WHERE nparte1 = '$datos[3]'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error1: ' . mysqli_error($con));
		exit();
	 }
	 //exit();
	//--------------------------------------------------->
	//buscar la existencia de dginvalm
	@$result = mysqli_query($con ,"SELECT * FROM dginvalm WHERE nparte1 = '$datos[3]' and almacen = '$datos[9]'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato['exi_fis_alm'];
		$ex2=$dato['can_dis_alm'];
	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	//hacer la modificacion en farticulos
	$sql="UPDATE dginvalm SET exi_fis_alm = $ex1, can_dis_alm = $ex1 WHERE nparte1 = '$datos[3]' and almacen = '$datos[9]'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error2: ' . mysqli_error($con));
		exit();
	 }
	//---------------------------------------------------->
	//Eliminar del cardex
	//echo "Numero de dgreqded: ".$_POST['nu_re'].'<br>';
	//echo "Numero de parte: ".$_POST['r5'].'<br>';
	$sql="DELETE FROM dgcardex WHERE nparte1 = '$datos[3]' and fol_recep = '$datos[2]'";
if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
	 @$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$datos[3]' order by axo asc, mes asc");
	@$num_salidas=mysqli_num_rows($result); 
	//si no estaba ese articulo en el acumulado entonces
	if($num_salidas==0)
	{
		//generar un nuevo registro de compra existencia inicial, final y la compra
		echo 'Este articulo no se encuentra en el acumulado favor de Agregarlo';
	}else{
		while($dato = mysqli_fetch_array ($result))
		{
			//sacar el ultimo aņo y mes
			$uaxo = $dato['axo'];
			$umes = $dato['mes'];
			$exfi = $dato['exi_fin'];
			$np  = $dato['nparte1'];
		}
		//echo "Aņo:" . $uaxo . "<br>";
		//echo "Mes:" . $umes . "<br>";
		//echo "Aņo actual: ". date("Y") . '<br>';
		//echo "Mes actual: ". date("m").'<br>';
		//echo "Producto: ". $np.'<br>';
		//si el aņo es anterior al actual aqui
		if (date("Y") > $uaxo)
		{
			//sacar la cantidad de meses por aņo de diferencia
			$difaxo = date("Y") - $uaxo;
			//si es solo un aņo de diferncia
			if($difaxo == 1)
			{
				$dif = 12 - $umes;
			}else{
				$dif = 12 - $umes;
				for($j=1;$j<=$difaxo-1;$j++)
				{
					$dif = $dif + 12;
				}
			}	
		//diferencia va ha ser igual a la diferencia de aņos anteriores + los meses actuales -1
			$dif = $dif + (date("m"));
		}else{
			//en todo caso verificar la diferencia de meses 
			$dif = date("m") - $umes;
		}
		//mandar datos a acumulados
		//echo "numero de meses transcurridos: " . $dif . '<br>';
		//si es del mismo mes
		if($dif==0){
			$a = date('Y');
			$m = date('m');
			//buscar datoa anteriores y sumarles los nuevos y reguardar los datos
			@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$datos[3]' and axo = '$a' and mes = '$m'");
			while($dato = mysqli_fetch_array ($result))
			{
				//sacar datos
				$unpa = $dato['exi_ini'];
				$ucom = $dato['compras'];
				$udec = $dato['dev_com'];
				$uten = $dato['tra_ent'];
				$utsa = $dato['tra_sal'];
				$uder = $dato['ventas'];
				$udve = $dato['dev_ven'];
				$ureq = $dato['requi'];
				$uder = $dato['dev_requi'];
			}
			$uder = $uder - $datos[4];
			$ef = $unpa + $ucom - $udec + $uten - $utsa - $uven + $udve - $ureq + $uder;
			//mandar la ctualizacion
			$sql="UPDATE dginvacu set dev_requi = $uder , exi_fin = $ef WHERE nparte1 = '$datos[3]' and axo ='$a' and mes = '$m'";
			if (!mysqli_query($con ,$sql)){
				die('Error 4: ' . mysqli_error($con));
			}
		}else{
			//elaborar registros por mes atrasado
			$t = $dif + 1;
			for($y=1;$y<=$dif;$y++)
			{
				$t = $t - 1;
				//conocer la fecha del ultimo mes registrado
				$fecha = date("m/d/Y",mktime(0,0,0,date("m")-$t,date("d"),date("Y")));
				$a = substr($fecha,6);
				//echo $fecha .'<br>';
				$m = substr($fecha,0,2);
				//echo $m;
				//buscar ese registro para sacar 
				
				@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$datos[3]' and axo = '$a' and mes = '$m'");
				while($dato = mysqli_fetch_array ($result))
				{
					$ef = $dato['exi_fin'];
				}
				//exit();
				$ei = $ef;
				//crear una nueva fecha
				$x = $t - 1;
				$fecha1 = date("m/d/Y",mktime(0,0,0,date("m")-$x,date("d"),date("Y")));
				$a1 = substr($fecha1,6);
				$m1 = substr($fecha1,0,2);
				//si es el ultimo mes entonces sumarle la nueva cantidad
				if ($a1 == date("Y") && $m1==date("m"))
				{
					$ef = $ca2 - $ei;
					$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,dev_requi) VALUES('$datos[3]' ,'$a1', '$m1', '$ei', '$ef', '$datos[4]')";	
					if (!mysqli_query($con ,$sql))
					{
						die('Error 5: ' . mysqli_error($con));
					}
				}else{
					$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,dev_requi) VALUES('$datos[3]' ,'$a1', '$m1', '$ef', '$ef' , '$datos[4]')";	
					if (!mysqli_query($con ,$sql))
					{
						die('Error 6: ' . mysqli_error($con));
					}		
				}
			}
		}
	}
	//----------------------------------------->
	//restar datos en dgreqdev
	@$result = mysqli_query($con ,"SELECT * FROM dgreqdev WHERE fol_ven = '".$_POST['tnum']."'");
	$dato = mysqli_fetch_array ($result);
	$su_to1=$dato['sub_ven'];
	$iv_to1=$dato['iva_ven'];
	$to_to1=$dato['tot_ven'];

	$su_to=$su_to1 - $datos[18];
	$iv_to=$iv_to1 - $datos[11];
	$to_to=$to_to1 - $datos[8];

	//agregar registro a la orden de actualizada
   $sql="UPDATE dgreqdev SET paso = '1', sub_ven = '$su_to', iva_ven = '$iv_to', tot_ven = '$to_to' WHERE fol_ven = '".$_POST['tnum']."'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error: ' . mysqli_error($con));
		exit();
	 }	 
	//Eliminar dgreqdev
	$sql="DELETE FROM dgreqded WHERE fol_ven1 = '".$_GET['clav']."'";
	if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } //comprovacion
  echo "cant".$art["cant"];
  echo "precio".$art["precio"];
  echo "arriba";
  echo $aLista;
  echo "folio".$_GET['clav'];
    echo "clave".$v;
 
  echo '<meta content="1; url=AL10700_AC.php?pas='.$_GET['pas'].'&tnum='.$_POST['tnum'].'" HTTP-EQUIV="REFRESH">';
?>
